# Create dimensionSetLines
Create a dimensionSetLine object in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/salesOrders({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/journalLines({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/salesOrderLines({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/salesQuotes({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/salesQuoteLines({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/salesCreditMemos({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/salesCreditMemoLines({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/salesInvoices({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/salesInvoiceLines({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/purchaseInvoices({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/purchaseInvoiceLines({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/generalLedgerEntries({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/timeRegistrationEntries({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/purchaseOrders({id})/dimensionSetLines({id})
POST businesscentralPrefix/companies({id})/purchaseOrderLines({id})/dimensionSetLines({id})

```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of dimensionSetLines object.
## Response
If successful, this method returns ```201 Created``` response code and a dimensionSetLines object in the response body.
## Example
Request
Here's an example of a request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/salesOrders({id})/dimensionSetLines({id})
Content-type: application/json

{
    "id": "55c99ea7-bde4-ea11-bbf2-00155df3a615",
    "code": "BUSINESSGROUP",
    "parentId": "85d8a1c5-bde4-ea11-bbf2-00155df3a615",
    "parentType": "Sales Order",
    "displayName": "Business Group",
    "valueId": "56c99ea7-bde4-ea11-bbf2-00155df3a615",
    "valueCode": "HOME",
    "valueDisplayName": "Home"
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 201 Created
Content-type: application/json

{
    "id": "55c99ea7-bde4-ea11-bbf2-00155df3a615",
    "code": "BUSINESSGROUP",
    "parentId": "85d8a1c5-bde4-ea11-bbf2-00155df3a615",
    "parentType": "Sales Order",
    "displayName": "Business Group",
    "valueId": "56c99ea7-bde4-ea11-bbf2-00155df3a615",
    "valueCode": "HOME",
    "valueDisplayName": "Home"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_dimensionsetline
dynamics_dimensionsetline_get
dynamics_dimensionsetline_delete
dynamics_dimensionsetline_update

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_dimensionsetline_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_dimensionsetline_create/
